diff --git a/CMakeLists.txt b/CMakeLists.txt
index 79b1feb..259d474 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -284,16 +284,18 @@ else()
 endif()
 
 #SHARE - use the default on Apple as TAG_VERSION is empty
-if(WIN32 OR OS2)
-	set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
-else()
-	if(TAG_VERSION OR BUILD_OSX_BUNDLE)
-		set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
+if(NOT DOCDIR)
+	if(WIN32 OR OS2)
+		set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
 	else()
-		if(NOT WANT_VERSIONING)
-			set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
+		if(TAG_VERSION OR BUILD_OSX_BUNDLE)
+			set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
 		else()
-			set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
+			if(NOT WANT_VERSIONING)
+				set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
+			else()
+				set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
+			endif()
 		endif()
 	endif()
 endif()
